<?xml version="1.0" encoding="UTF_8"?>
    <SensorEisCap>
        <tag key="HAL_PRIVATE_OPTIMIZED_EIS_VID_CONFIG" type="int32_t">
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
            <value>1280</value>
            <value>720</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
            <value>1920</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
            <value>2384</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
            <value>2560</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
            <value>3840</value>
            <value>2160</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
            <value>1280</value>
            <value>720</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
            <value>1920</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
            <value>2384</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
            <value>2560</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_PROFESSIONAL_VIDEO</value>
            <value>3840</value>
            <value>2160</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
            <value>1280</value>
            <value>720</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
            <value>1920</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
            <value>2384</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
            <value>2560</value>
            <value>1080</value>
            <value>30</value>
            <value>60</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
            <value>3840</value>
            <value>2160</value>
            <value>30</value>
            <value>60</value>
        </tag>
        <tag key="HAL_PRIVATE_NORMAL_VIDEO_EIS_CONFIG" type="int32_t">
            <value>0</value>
            <value>3840</value>
            <value>2160</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>4576</value>
            <value>2576</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>2</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>4576</value>
            <value>2576</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>3840</value>
            <value>2160</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>4576</value>
            <value>2576</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>2</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>4576</value>
            <value>2576</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1920</value>
            <value>1080</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>2</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1920</value>
            <value>1080</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>4</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>20</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2384</value>
            <value>1080</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2976</value>
            <value>1672</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2976</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>2</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>2976</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2384</value>
            <value>1080</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2976</value>
            <value>1672</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2976</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>4</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>2976</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>20</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2560</value>
            <value>1080</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>3200</value>
            <value>1800</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>3200</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>2</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>3200</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2560</value>
            <value>1080</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>3200</value>
            <value>1800</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>3200</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>4</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>3200</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>20</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1280</value>
            <value>720</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>2</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1280</value>
            <value>720</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_VIDEO_DUAL</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>4</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_VIDEO</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>20</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1920</value>
            <value>1080</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1920</value>
            <value>1080</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2400</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2384</value>
            <value>1080</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2976</value>
            <value>1672</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2976</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2384</value>
            <value>1080</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>2976</value>
            <value>1672</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>2976</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2560</value>
            <value>1080</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>3200</value>
            <value>1800</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>3200</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>2560</value>
            <value>1080</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>3200</value>
            <value>1800</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>3200</value>
            <value>1352</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1280</value>
            <value>720</value>
            <value>30</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value>1280</value>
            <value>720</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_ON</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">OUT_SINGLE</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>1600</value>
            <value>904</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
        </tag>
        <tag key="HAL_PRIVATE_TURBO_DVFS_FAIL_EIS_CONFIG" type="int32_t">
            <value>3840</value>
            <value>2160</value>
            <value>60</value>
            <value type="string2Enum">BEAUTY_OFF</value>
            <value type="string2Enum">PREVIEW_SINGLE</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>4576</value>
            <value>2576</value>
            <value type="string2Enum">OUT_DUL</value>
            <value type="string2Enum">STREAM_PREVIEW</value>
            <value>4576</value>
            <value>2576</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>128</value>
            <value>8</value>
            <value>16</value>
            <value type="string2Enum">WARP_WorkMode_ISP</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">STREAM_MAX</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_FORMAT_PRIVATE_YCBCR_422_I_10_BIT_FBC_PLUS_ONE_SIXTEENTH</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">WARP_WorkMode_DEFAULT</value>
            <value>1</value>
            <value>1</value>
            <value>0</value>
            <value>0</value>
        </tag>
    </SensorEisCap>